/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/@DIRECTORY/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

#undef  FUNCTION
#define FUNCTION "@COMPONENT::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_begin(@COMPONENT,FUNCTION);

    Parameters_test test ("@COMPONENT");

    log_end(@COMPONENT,FUNCTION);

    return test;
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
